Subject: Umask

From: "Ross, Michael" <[email-masked]>
Date: Fri, 15 Aug 1997 13:17:26 -0400

I am trying to use the umask feature on a modified version of ftpd 2.4.
The modifications should not have affected the umask functionality at
all.

I have found that when putting items onto the server, I can use umask to
modify any rw permissions, but that x permissions are always removed
from the files, even if umask is 000.

When getting, I find that a file that has rwxrwxrwx always becomes
rw-r--r--, no matter what umask I give ftp.

Any ideas?  Am I expecting the umask command to do more than it should?

Thanks.

Michael Ross

Security Dynamics, Inc.
Bedford, MA